Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 617956 - perlxs packaging issue
perlxs packaging issue
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-25 05:20 EDT by Paul Bolle
Modified: 2010-09-23 08:54 EDT (History)
9 users (show)

See Also:
Fixed In Version: perl-5.12.2-133.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 08:54:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Bolle 2010-07-25 05:20:41 EDT
Description of problem:
I ran into some minor packaging issues with perlxstut 

Version-Release number of selected component (if applicable):
5.12.1-128.fc14

How reproducible:
n/a

Steps to Reproduce:
1. n/a
2.
3.
  
Actual results:
perlxs docs are part of perl
perlxstut docs are part of perl
neither perl nor perl-devel require perl-Test-Simple

Expected results:
perlxs docs are part of perl-devel
perlxstut docs are part of perl-devel
perl-devel requires perl-Test-Simple

Additional info:
0) While following perlxstut I discoverd Test::More wasn't installed. It turned out that Test::More is provided by perl-Test-Simple (which is only required by perl-core).

1) This command seems to list perlxstut's requirements: 
$ man perlxstut | grep " \+use .*;"
           use ExtUtils::MakeMaker;
           [...]
           use ExtUtils::testlib;
           [...]
           use Test::More tests => 4;
               use ExtUtils::MakeMaker;
                   [...]

Basically that's ExtUtils::MakeMaker and Test::More.

2) For perlxstut one also needs h2xs. h2xs and friends are part of perl-devel.

3) It seems that both the perlxs docs and the perlxstut docs should be shipped as part of perl-devel and that perl-devel should require perl-Test-Simple or perl(Test::More).

4) Feel free to ask me to provide a (trivial) patch to perl's specfile.
Comment 1 Marcela Mašláňová 2010-07-26 03:27:07 EDT
In manual is mentioned Test::More, but you can use for your xs files different test-suite or don't test at all. I'd rather don't require it.

perlxs* docs will be moved into perl-devel in next rebuild of perl package.
Comment 2 Bug Zapper 2010-07-30 08:49:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2010-09-07 08:42:34 EDT
perl-5.12.2-133.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-5.12.2-133.fc14
Comment 4 Fedora Update System 2010-09-07 14:36:38 EDT
perl-5.12.2-133.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-5.12.2-133.fc14
Comment 5 Fedora Update System 2010-09-23 08:53:55 EDT
perl-5.12.2-133.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.